import type { Meta, StoryObj } from '@storybook/svelte';
import BlobPreview from '../lib/components/display/BlobPreview.svelte';
import {
	audioAddress,
	imageAddress,
	imageVerticalAddress,
	stlAddress,
	videoAddress,
	videoVerticalAddress
} from './common';

const meta: Meta<BlobPreview> = {
	title: 'Blobs/BlobPreview',
	component: BlobPreview,
	tags: ['autodocs'],
	argTypes: {
		onLoaded: {
			action: 'loaded'
		}
	}
};

export default meta;
type Story = StoryObj<BlobPreview>;

export const Image: Story = {
	args: { address: imageAddress }
};

export const ImageVertical: Story = {
	args: { address: imageVerticalAddress }
};

export const Audio: Story = {
	args: { address: audioAddress }
};

export const Video: Story = {
	args: { address: videoAddress }
};

export const VideoVertical: Story = {
	args: { address: videoVerticalAddress }
};

export const Model3d: Story = {
	args: { address: stlAddress }
};
