import { sentrySvelteKit } from '@sentry/sveltekit';
import { sveltekit } from '@sveltejs/kit/vite';
import { defineConfig } from 'vite';

// https://vitejs.dev/config/
export default defineConfig({
	plugins: [
		sentrySvelteKit({
			sourceMapsUploadOptions: {
				org: 'upend',
				project: 'upend-kestrel'
			}
		}),
		sveltekit()
	],
	server: {
		proxy: {
			'/api': {
				target: 'http://localhost:8093/'
			}
		}
	}
});
